OrcProto.BloomFilter.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.BloomFilter.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>
      - - org.apache.orc.OrcProto.BloomFilter.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.BloomFilterOrBuilder
  Enclosing class:
    OrcProto.BloomFilter

      public static final class OrcProto.BloomFilter.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>
      implements OrcProto.BloomFilterOrBuilder

  Protobuf type `orc.proto.BloomFilter`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.BloomFilter.Builder` | `addAllBitset(Iterable<? extends Long> values)` `repeated fixed64 bitset = 2;`
    `OrcProto.BloomFilter.Builder` | `addBitset(long value)` `repeated fixed64 bitset = 2;`
    `OrcProto.BloomFilter` | `build()`
    `OrcProto.BloomFilter` | `buildPartial()`
    `OrcProto.BloomFilter.Builder` | `clear()`
    `OrcProto.BloomFilter.Builder` | `clearBitset()` `repeated fixed64 bitset = 2;`
    `OrcProto.BloomFilter.Builder` | `clearNumHashFunctions()` `optional uint32 numHashFunctions = 1;`
    `OrcProto.BloomFilter.Builder` | `clearUtf8Bitset()` `optional bytes utf8bitset = 3;`
    `OrcProto.BloomFilter.Builder` | `clone()`
    `long` | `getBitset(int index)` `repeated fixed64 bitset = 2;`
    `int` | `getBitsetCount()` `repeated fixed64 bitset = 2;`
    `List<Long>` | `getBitsetList()` `repeated fixed64 bitset = 2;`
    `OrcProto.BloomFilter` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `int` | `getNumHashFunctions()` `optional uint32 numHashFunctions = 1;`
    `com.google.protobuf.ByteString` | `getUtf8Bitset()` `optional bytes utf8bitset = 3;`
    `boolean` | `hasNumHashFunctions()` `optional uint32 numHashFunctions = 1;`
    `boolean` | `hasUtf8Bitset()` `optional bytes utf8bitset = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.BloomFilter.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.BloomFilter.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.BloomFilter.Builder` | `mergeFrom(OrcProto.BloomFilter other)`
    `OrcProto.BloomFilter.Builder` | `setBitset(int index, long value)` `repeated fixed64 bitset = 2;`
    `OrcProto.BloomFilter.Builder` | `setNumHashFunctions(int value)` `optional uint32 numHashFunctions = 1;`
    `OrcProto.BloomFilter.Builder` | `setUtf8Bitset(com.google.protobuf.ByteString value)` `optional bytes utf8bitset = 3;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>`

    - #### clear

          public OrcProto.BloomFilter.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>`

    - #### clone

          public OrcProto.BloomFilter.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.BloomFilter getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.BloomFilter build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.BloomFilter buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.BloomFilter.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.BloomFilter.Builder>`

    - #### mergeFrom

          public OrcProto.BloomFilter.Builder mergeFrom(OrcProto.BloomFilter other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilter.Builder>`

    - #### mergeFrom

          public OrcProto.BloomFilter.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.BloomFilter.Builder>`
      Throws:
        `IOException`

    - #### hasNumHashFunctions

          public boolean hasNumHashFunctions()

      `optional uint32 numHashFunctions = 1;`
      Specified by:
        `hasNumHashFunctions` in interface `OrcProto.BloomFilterOrBuilder`

    - #### getNumHashFunctions

          public int getNumHashFunctions()

      `optional uint32 numHashFunctions = 1;`
      Specified by:
        `getNumHashFunctions` in interface `OrcProto.BloomFilterOrBuilder`

    - #### setNumHashFunctions

          public OrcProto.BloomFilter.Builder setNumHashFunctions(int value)

      `optional uint32 numHashFunctions = 1;`

    - #### clearNumHashFunctions

          public OrcProto.BloomFilter.Builder clearNumHashFunctions()

      `optional uint32 numHashFunctions = 1;`

    - #### getBitsetList

          public List<Long> getBitsetList()

      `repeated fixed64 bitset = 2;`
      Specified by:
        `getBitsetList` in interface `OrcProto.BloomFilterOrBuilder`

    - #### getBitsetCount

          public int getBitsetCount()

      `repeated fixed64 bitset = 2;`
      Specified by:
        `getBitsetCount` in interface `OrcProto.BloomFilterOrBuilder`

    - #### getBitset

          public long getBitset(int index)

      `repeated fixed64 bitset = 2;`
      Specified by:
        `getBitset` in interface `OrcProto.BloomFilterOrBuilder`

    - #### setBitset

          public OrcProto.BloomFilter.Builder setBitset(int index,
                                                        long value)

      `repeated fixed64 bitset = 2;`

    - #### addBitset

          public OrcProto.BloomFilter.Builder addBitset(long value)

      `repeated fixed64 bitset = 2;`

    - #### addAllBitset

          public OrcProto.BloomFilter.Builder addAllBitset(Iterable<? extends Long> values)

      `repeated fixed64 bitset = 2;`

    - #### clearBitset

          public OrcProto.BloomFilter.Builder clearBitset()

      `repeated fixed64 bitset = 2;`

    - #### hasUtf8Bitset

          public boolean hasUtf8Bitset()

      `optional bytes utf8bitset = 3;`
      Specified by:
        `hasUtf8Bitset` in interface `OrcProto.BloomFilterOrBuilder`

    - #### getUtf8Bitset

          public com.google.protobuf.ByteString getUtf8Bitset()

      `optional bytes utf8bitset = 3;`
      Specified by:
        `getUtf8Bitset` in interface `OrcProto.BloomFilterOrBuilder`

    - #### setUtf8Bitset

          public OrcProto.BloomFilter.Builder setUtf8Bitset(com.google.protobuf.ByteString value)

      `optional bytes utf8bitset = 3;`

    - #### clearUtf8Bitset

          public OrcProto.BloomFilter.Builder clearUtf8Bitset()

      `optional bytes utf8bitset = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.